Index: doc/manual/R-admin.texi
===================================================================
--- doc/manual/R-admin.texi	(revision 83388)
+++ doc/manual/R-admin.texi	(working copy)
@@ -1431,7 +1431,7 @@
 
 The binary distribution of @R{} is currently built with tools
 from
-@uref{https://cran.r-project.org/bin/windows/Rtools/rtools42/rtools.html,Rtools42
+@uref{https://cran.r-project.org/bin/windows/Rtools/rtools43/rtools.html,Rtools43
 for Windows}. See 
 @uref{https://cran.r-project.org/bin/windows/base/howto-R-devel.html, Building
 R and packages} for more details on how to use it.
Index: doc/manual/R-exts.texi
===================================================================
--- doc/manual/R-exts.texi	(revision 83388)
+++ doc/manual/R-exts.texi	(working copy)
@@ -275,7 +275,7 @@
 @file{configure.win} and @file{cleanup.win}. Since @R{} 4.2.0 on Windows,
 @file{configure.ucrt} and @file{cleanup.ucrt} are supported and take
 precedence over @file{configure.win} and @file{cleanup.win}. They can
-hence be used to provide content specific for UCRT or Rtools42, if needed,
+hence be used to provide content specific for UCRT or Rtools42 and newer, if needed,
 but the support for @file{.ucrt} files may be removed in the future when
 building packages from source on the older versions of R will no longer
 be needed, and hence the files may be renamed back to @file{.win}.
@@ -1265,7 +1265,7 @@
 @file{src/Makevars.win} and @file{src/Makefile.ucrt} takes precedence
 over @file{src/Makefile.win}. @file{src/Makevars.ucrt} and
 @file{src/Makefile.ucrt} will be ignored by earlier versions of @R{}, and
-hence can be used to provide content specific for UCRT or Rtools42,
+hence can be used to provide content specific for UCRT or Rtools42 and newer,
 but the support for @file{.ucrt} files may be removed in the future when
 building packages from source on the older versions of R will no longer
 be needed, and hence the files may be renamed back to @file{.win}.
Index: doc/manual/rw-FAQ.texi
===================================================================
--- doc/manual/rw-FAQ.texi	(revision 83388)
+++ doc/manual/rw-FAQ.texi	(working copy)
@@ -451,8 +451,8 @@
 as Msys2 (and hence Rtools) or cygwin set the environment variable
 @env{HOME} to a user directory of their choice. When R is invoked from a
 shell of such an distribution, the home directory in R would hence
-typically not be the Windows "personal" directory. With Rtools40 and
-Rtools42, it is the user profile (e.g. @file{C:\Users\username}).
+typically not be the Windows "personal" directory. With Rtools40,
+Rtools42 and Rtools43, it is the user profile (e.g. @file{C:\Users\username}).
 
 The R home directory is the directory where R was installed. You can find
 this from R code by @code{R.home()} or @code{Sys.getenv("R_HOME")}. From
Index: src/gnuwin32/MkRules.dist
===================================================================
--- src/gnuwin32/MkRules.dist	(revision 83388)
+++ src/gnuwin32/MkRules.dist	(working copy)
@@ -4,8 +4,8 @@
 ## etc/*/Makeconf: see fixed/Makefile
 
 ## Customize by copying to MkRules.local and uncommenting and editing 
-## some of the definitions there. The values are tailored to Rtools42, the
-## currently recommented toolchain using gcc 10.3, MinGW-w64 9, 64-bit only,
+## some of the definitions there. The values are tailored to Rtools43, the
+## currently recommented toolchain using gcc 12.2, MinGW-w64 10, 64-bit only,
 ## UCRT. R is only intended to be built for 64-bit UCRT as of R 4.2. 
 
 ## =========== configuration macros for building packages ================
@@ -32,7 +32,7 @@
 # collection via LOCAL_SOFT, so LOCAL_SOFT is set up by default to also
 # point to the Rtools software. This may be changed in the future.
 #
-# To build R from source with Rtools42 (installed from installer as well as
+# To build R from source with Rtools43 (installed from installer as well as
 # tarball), gcc has to be on PATH and LOCAL_SOFT can be computed as follows:
 #
 # LOCAL_SOFT ?= $(shell which `echo $(CC) | sed -e 's/ .*//g'` | sed -e 's!/bin/[^/]\+!!g')
Index: src/gnuwin32/MkRules.rules
===================================================================
--- src/gnuwin32/MkRules.rules	(revision 83388)
+++ src/gnuwin32/MkRules.rules	(working copy)
@@ -1,6 +1,6 @@
 #-*- Makefile -*-
 
-## Defaults for user settings, see MkRules.dist for descriptions. Rtools42
+## Defaults for user settings, see MkRules.dist for descriptions. Rtools43
 ## assumes that the compiler toolchain (e.g. gcc, as, ...) is on PATH
 LOCAL_SOFT ?= $(shell which `echo $(CC) | sed -e 's/ .*//g'` | sed -e 's!/bin/[^/]\+!!g')
 EXT_LIBS ?= $(LOCAL_SOFT)
Index: src/gnuwin32/README.compilation
===================================================================
--- src/gnuwin32/README.compilation	(revision 83388)
+++ src/gnuwin32/README.compilation	(working copy)
@@ -86,7 +86,7 @@
 
 and follow the instructions, which install the toolchain under a place
 it (and we) call MXE_ROOT.  (To build R only the
-'rtools42-toolchain-libs-base' version is required.)
+'rtools43-toolchain-libs-base' version is required.)
 
 You will also need to fetch the pre-built Tcl/Tk as described in the
 section 'Building R from source using a toolchain tarball'.  The default
Index: src/gnuwin32/fixed/etc/Makeconf
===================================================================
--- src/gnuwin32/fixed/etc/Makeconf	(revision 83388)
+++ src/gnuwin32/fixed/etc/Makeconf	(working copy)
@@ -40,9 +40,9 @@
   ifneq ($(strip $(R_CUSTOM_TOOLS_SOFT)),)
     LOCAL_SOFT = $(R_CUSTOM_TOOLS_SOFT)
   else
-    ## The rtools42 installer sets RTOOLS42_HOME
-    RTOOLS42_HOME ?= c:/rtools42
-    LOCAL_SOFT = $(subst \,/,$(RTOOLS42_HOME))/x86_64-w64-mingw32.static.posix
+    ## The rtools43 installer sets RTOOLS43_HOME
+    RTOOLS43_HOME ?= c:/rtools43
+    LOCAL_SOFT = $(subst \,/,$(RTOOLS43_HOME))/x86_64-w64-mingw32.static.posix
   endif
 endif
 R_TOOLS_SOFT ?= $(LOCAL_SOFT)
Index: src/gnuwin32/fixed/etc/Rcmd_environ
===================================================================
--- src/gnuwin32/fixed/etc/Rcmd_environ	(revision 83388)
+++ src/gnuwin32/fixed/etc/Rcmd_environ	(working copy)
@@ -35,7 +35,7 @@
 # MAKE=${MAKE-make}
 SED=${SED-sed}
 
-# INSTALLER-BUILD:R_RTOOLS42_PATH="${RTOOLS42_HOME:-c:/rtools42}/x86_64-w64-mingw32.static.posix/bin;${RTOOLS42_HOME:-c:/rtools42}/usr/bin"
+# INSTALLER-BUILD:R_RTOOLS43_PATH="${RTOOLS43_HOME:-c:/rtools43}/x86_64-w64-mingw32.static.posix/bin;${RTOOLS43_HOME:-c:/rtools43}/usr/bin"
 #   trailing slash to protect against trailing backslash in PATH
-# INSTALLER-BUILD:PATH="${R_CUSTOM_TOOLS_PATH:-${R_RTOOLS42_PATH}};${PATH}/"
+# INSTALLER-BUILD:PATH="${R_CUSTOM_TOOLS_PATH:-${R_RTOOLS43_PATH}};${PATH}/"
 
Index: src/library/profile/Rprofile.windows
===================================================================
--- src/library/profile/Rprofile.windows	(revision 83388)
+++ src/library/profile/Rprofile.windows	(working copy)
@@ -62,15 +62,15 @@
 })
 
 local({
-    setRtools42Path <- 0
-    # INSTALLER-BUILD: setRtools42Path <- 1
+    setRtools43Path <- 0
+    # INSTALLER-BUILD: setRtools43Path <- 1
 
-    if (setRtools42Path) {
-        rthome <- Sys.getenv("RTOOLS42_HOME", "c:/rtools42")
+    if (setRtools43Path) {
+        rthome <- Sys.getenv("RTOOLS43_HOME", "c:/rtools43")
         rtpath <- paste0(rthome, "/x86_64-w64-mingw32.static.posix/bin;",
                          rthome, "/usr/bin")
         path <- Sys.getenv("R_CUSTOM_TOOLS_PATH", rtpath)
-        Sys.setenv(R_RTOOLS42_PATH = rtpath)
+        Sys.setenv(R_RTOOLS43_PATH = rtpath)
         Sys.setenv(PATH = paste0(path, ";", Sys.getenv("PATH")))
     }
 })
